# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'raw_smtp/version'

Gem::Specification.new do |s|
  s.name        = 'raw_smtp'
  s.version     = RawSmtp::VERSION
  s.authors     = ["Artem Yakimenko"]
  s.email       = ["code@temik.me"]
  s.homepage    = "http://rubygems.org/gems/raw-smtp"
  s.license     = "MIT"

  s.summary     = "SMTP using raw sockets"
  s.description = "A simple experimental SMTP client"


  s.files       = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }

  s.bindir      = "exe"
  s.executables = s.files.grep(%r{^exe/}) { |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_runtime_dependency 'trollop', '~> 2.1'

  s.add_development_dependency 'pry', '~> 0'
  s.add_development_dependency 'pry-byebug', '~> 3.1'
  s.add_development_dependency 'rubocop', '~> 0.32.1'
  s.add_development_dependency 'rake', '~> 10.4'
  s.add_development_dependency 'bundler', '~> 1.10'
  s.add_development_dependency 'rdoc', '~> 4.2'
end
